R9LGIT(3)

SYNOPSIS
FUNCTION R9LGIT (A, X, ALGAP1)

NAME
r9lgit - Compute the logarithm of Tricomi's incomplete Gamma function with Perron's continued fraction for large X and A .GE. X.

LIBRARY
SLATEC (FNLIB)

CATEGORY
C7E

TYPE
SINGLE PRECISION (R9LGIT-S, D9LGIT-D)

KEYWORDS
FNLIB, INCOMPLETE GAMMA FUNCTION, LOGARITHM, PERRON'S CONTINUED FRACTION, SPECIAL FUNCTIONS, TRICOMI

AUTHOR
Fullerton, W., (LANL)

DESCRIPTION
Compute the log of Tricomi's incomplete gamma function with Perron's continued fraction for large X and for A .GE. X.

REFERENCES
(NONE)

ROUTINES CALLED
R1MACH, XERMSG

REVISION HISTORY (YYMMDD)
770701 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
890531 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)
900315 CALLs to XERROR changed to CALLs to XERMSG. (THJ)
900720 Routine changed from user-callable to subsidiary. (WRB)